Release Notes for Symbian Build System v2

version 2.12.5

Defect Fixes:
- Fix: Workaround for emake engine log corruption when clockskew errors occur (annofile2log). 
  Allow Raptor to obtain log from emake annotation file where it is uncorrupted.  A new 
  Make engine option "copyannofile2log" enables/disables this mode for emake. If this option is disabled
  or if no annotation file is specified for the build then Raptor reads logs directly as normal.
- SF Bug 2191 - [Raptor] - When forcesuccess is enabled, exit status for a failed recipe is "retry" but should be "failed"
- Fix: extend tracecompiler tests to Linux
- Fix: Amendment to SF Bug 1511 fix - removal of blanked DEFFILE keyword from e32abiv2ani.flm


version 2.12.4

Defect Fixes:
- SF Bug 2125 - [Raptor] - tracecompiler what output incorrect if mmp basename contains '.' e.g. fred.prd.mmp 
- SF Bug 2113 - [Raptor] what/check filters can assign files to the wrong components
- SF Bug 2081/1971 - [Raptor] - Exported file executable permissions not maintained (linux)
- SF Bug 1912 - Raptor should take python from the path [if not set with SBS_PYTHON or bundled with Raptor]
- SF Bug 2042 - [Raptor] component field empty in recipe
- SF Bug 2007 - [Raptor] GCCE 4.4.1 builds require 4.3.1 and 4.3.2 SBS_GCCE???BIN env vars etc.
- SF Bug 2000 - [Raptor] Talon fails when installed in a path containing the string '-c' (windows only)
- SF Bug 1861 - [Raptor] More helpful console message in case of timeouts
- SF Bug 1571 - Raptor cannot report error or warning message in wrong implib project
- DPDEF142718 Incremental rebuild fails if dependent files deleted
  --no-depend-generate added to suppress the generation and processing of dependency files
  .DEFAULT target introduced for all non --no-depend-generate and/or --no-depend-include builds
- Add support for PLUGIN3 TARGETTYPEs
- Fixing logfile corruption for large GCCXML builds by suppressing zip output
- Fix: host attribute in recipes was blank in windows, windows cluster builds.
- Stop copying .bmp files to epoc32/localisation and fix the "what" reporting


version 2.12.3

Defect Fixes:
- Don't print trace "what" information if we do not run the trace compiler.


version 2.12.2

Defect Fixes:
- SF Bug 1569 - excessive recompilation in incremental tracecompiler builds
- Better error messages for make-engine selection.
  e.g. "sbs -e arm" will now produce a useful error message rather than 
  a traceback. "arm" is a real variant but it's not a make engine.  In
  the past sbs would have tried to use it and would have failed with a
  complicated traceback. Also doesn't traceback for non-existent make engines.
- sbs_filter chose wrong embedded default python version. Set to 2.6.4 now.
- FilterCheck did not check files when run from sbs_filter
- Remove old references to python 2.5.2
- Escape filenames with special XML characters inside <member> tags


version 2.12.1

Defect Fixes:
- SF Bug 1494 - sbs --what does not report Trace Compiler output
- sbs -c winscw.tracecompiler uses wrong UID and doesn't generate traces
- SF Bug 1519 - Raptor output files may contain unescaped left angle brackets as XML character data


version 2.12.0

New Features:
- New 'Patchable Constants' target type: TARGETTYPE pdll
- Combine Linking and Postlinking into a single step - performance improvement.
- Support exit codes from next version of the trace compiler which will issue them
- New sbs_filter script and batchfile to ease the use of sbs_filter.py.  
  Allows filters to be executed over a log after a build has been done.
    e.g.

  	sbs_filter --filters=FilterWhat < logfile.log 

    (This runs a "--what" without regenerating any makefiles or reparsing
    the matadata.)
- New (beta) FilterWhatComp filter.  Simulates abld log output for
  use with parse_what.pl for packing up zips by component.  Whatcomp output
  uses the incoming epocroot value.  i.e. if epocroot is relative then so is
  the what output.  e.g. if EPOCROOT=\ then the output will be of the form:

	"\epoc32\release\armv5\...."  

  If it's "..\myepocroot" then the output will be:

	"..\myepocroot\epoc32\release\armv5".  

  If it's absolute then the what output will also be absolute.
- New FilterCheck filter.  This can be used with sbs_filter to perform the 
  equivalent of --check using the log output from a build.  It is more
  efficient than --check because the metadata is not parsed and no makefiles
  are generated. e.g.

	sbs_filter --filters=FilterCheck < logfile.log 

- New (beta) graphical build visualisation tool (bin/timelines.py). 
  Requires pygame and PyOpenGL. e.g.

	python timelines.py < filename.log

- New (beta) log analyser (recipestats.py) for recording the total time spent 
  in each type of recipe in the build. e.g.

	python recipestats.py < filename.log > stats.csv

  The output is in CSV format.  

Defect Fixes:
- fix for ARM9E + ARMV5 pre-processing confusion
- SF bug 1606: template_ext.flm wrongly creates dependencies to OTHER_CFG targets
- SF bug 1570: Adding then removing a capability can produce incorrect 
  result: e.g. ALL TCB -TCB becomes ALL -TCB but it should be just ALL

Other Changes:
- Default to using Python 2.6.4 on windows (no change in compatibility with 
  older versions of Python).


version 2.11.3

Defect Fixes:
DPDEF142616 Raptor: Variables can be set unnecessarily prior to TEM execution
Fix for: filter terminal flags up when recipe truncated
SF bug 170: invalid XML output when a zip file is missing
SF bug 518: unpaged keyword in mmp files is not parsed properly


version 2.11.2

Defect Fixes:
DPDEF143176 raptor does not respect STDCPP mmp file keyword


version 2.11.1

Other Changes:
GCCE 4.4.1 variant added
Restored python 2.4 compatibility
Minor TOOLS2 --what corrections
Retain Linux execute permissions on unpacked :zip archives
Prototype of extended timing API added
Option --noexport added for parallel parsing
Made --noexport and --export-only mutually exclusive
SBS_PYTHONPATH insulates sbs from the global PYTHONPATH
Removed spurious bracket in e32abiv2textnotifier2
More robust to multiple import library definitions


version 2.11.0

New Features:
Parallel parsing of meta-data
New keyword APPLY for MMP files
SAX filter plugin base-class

Defect Fixes:
DPDEF142895 Raptor does the wrong thing with the ARMFPU keyword
DPDEF143020 The savespace variant overrides elf2e32's return code
DPDEF143046 BYTEPAIRCOMPRESSTARGET and INFLATECOMPRESSTARGET not in FLM interface
Improved error reporting for --check and --what


version 2.10.2

Defect Fixes:
DPDEF142958 regression - ARMV6 and __ARMV6__ are not defined for armv6_urel builds
DPDEF142730 Raptor crashes with improper VERSION syntax
DPDEF142928 RVCT 4.0: Linker error when the MMP files modifies the --cpu option


version 2.10.1

Defect Fixes:
DPDEF142666 Cannot remove frozen exports from EABI DEF file in SBSv2
DPDEF142745 OPTION_REPLACE problems with RVCT 4.0
DPDEF140622 feature variant configuration file with non exist file set to 'FEATURELISTFILES'
DPDEF141195 Raptor doesn't handle spaces in tool paths
DPDEF142616 Raptor: Variables can be set unnecessarily prior to TEM execution
DPDEF142455 Disable warning L6780W for certain components
DPDEF142447 GCC-E: Raptor compiles CIA files as Thumb
DPDEF142448 GCC-E: Raptor tries to build ABIV1 import libraries
DPDEF142451 GCC-E: Raptor treats C files as C++ files.


version 2.10.0

New Features:
Support for GCCE compiler
More efficient Feature Variation support


version 2.9.3

Defect Fixes:
DPDEF142166 Raptor sometimes invokes checklib.exe with incorrect parameters
DPDEF141354 EXPORTUNFROZEN fails in target builds if .savespace is applied
DPDEF141533 Inconsistent log output
DPDEF141604 file winscw.auto.bat is released two times
DPDEF141787 Raptor treats EFREEZE info message as warnings
	
Other Changes:
talon can read commands from a temporary file as well as with -c


version 2.9.2

Defect Fixes:
DPDEF141531 Incorrect RVCT variables passed to TEM
DPDEF141837 Some problems with dependency (.d) files
DEF140258 Aborting SBSv2 mid-build often leads to corrupt .d files which prevent rebuilds
DPDEF142049 Garbage in the Raptor log file
DPDEF141954 Raptor: "tools" config static libraries can have incorrect compilation macros
DPDEF141974 Raptor: "tools" builds can fail when done in combination with "tools2" builds

Other Changes:
Static libraries cannot be feature variant
Option --no-depend-include for very big builds


version 2.9.1

Defect Fixes:
DPDEF141503 RMTPClient::StartTransport Panic when using emulated test tranport plugin
DPDEF141688 ARMV6 builds with SBSv2 have problems with missing DEF files
	

version 2.9.0

New Features:
Talon shell to reduce memory usage and improve stability.
Support for RVCT 4.0 advanced features.
Optionally use SBS_CYGWIN, SBS_MINGW and SBS_PYTHON to locate tools.
Makefile to build host tools on Linux.
Single-file compilation for IDE integration.
Splitlog and CheckSource filters.

Defect Fixes:
DPDEF141523 Raptor links kernel-side components to scppnwdl.dso
DPDEF141418 Raptor turns echo on
DPDEF141495 Raptor doesn't deal correctly with SOURECEPATH beginning with '/'
DPDEF141388 raptor inserts epoc32\include at start of systeminclude path	


version 2.8.6

DPDEF135505 Some TEMs have race conditions for simultaneous urel and udeb. cp fails.
DPDEF141498 If make crashes, Raptor exits with 0 errors
DPDEF141071 Raptor: GCCXML build does not support the VAR2 TARGETTYPE
DPDEF140816 STDCPP keyword in mmp file not interpreted by gccxml tool chain
DPDEF137727 [Raptor Rollout] Raptor fails to build certain .mbg and .rsg files
DPDEF137494 SBSv2: preprocessor warnings and errors might cause invalid XML in log
DPDEF140731 Missing dependency files when building from clean
DPDEF140540 [System Build]: Changes of Raptor cause 94_331 build failed
DPDEF141129 raptor generates unknown origin file

Other Changes:
Fix to support trace compiler switch
Better message for duplicate objects, states which file overrides which.
Refactor to avoid "defects" of missing OS variants.


version 2.8.5

Defect Fixes:
DPDEF141102 SBS doesn't set the paging attribute of excutables correctly
DPDEF140731 Missing dependency files when building from clean
DPDEF135620 Workaround for broken static libraries


version 2.8.4

Defect Fixes:
DPDEF140839 RComp crashes if it's built with sbs
DPDEF140929 OPTION GCCE in MMP files generates a build warning
DPDEF135436 SBSv2 - Python traceback when illegal characters appear on command line


version 2.8.3

Defect Fixes:
DPDEF139904 Raptor: .def file FREEZE attempted for ARMV5 when it shouldn't be
DPDEF140589 Raptor: .def file FREEZE attempted for WINSCW when it shouldn't be
DPDEF140456 Raptor build error with -c tools_rel
DPDEF139759 Raptor warning regarding EXPORTSUNFROZEN is ambiguous
DPDEF135436 SBSv2 - Python traceback when illegal characters appear on command line
INC140156 SBSv2 crashes when build QtWebkit for ARMV5

Other Changes:
Add <info> to show which variant.hrh file is used.
Replaced the corrupted awk.exe in cygwin distro.
Fix previous trace compiler auto run mechanism.
ROMFILE improvements.


version 2.8.2

Defect Fixes:
DPDEF140540 [System Build]: Changes of Raptor cause 94_331 build failed

Other Changes:
Tolerate XML schema 1_0 files where possible.
Treat system definition schema 1.[3-9] files the same as schema 1.4 files.
Remove checksource and its python site-packages.


version 2.8.1

Defect Fixes:
DPDEF140165 SBS error when creating info.xml on component base_omaph2
DPDEF132996 Location of generated auto.bat files is inconsistent

Other Changes:
Feature variant "ln -f" fails intermittently in parallel builds.
Traceback when "group" elements are redefined in XML.
Trace compiler should run automatically if a trace path exists.
Need a workaround for Carbide Missing SDK problem.


version 2.8.0

New Features:
XML schema 2.0 with new alias and group elements.

Removed:
XML config element (use var instead).
XML .first and .last mechanism (use alias or group instead).

Defect Fixes:
DPDEF140082 SBS cause env to dirty state
DPDEF138565 SBSV2 doesn't define the correct macros for ARMV6
DPDEF139950 SBSv2 Filter Handling not Robust enough - bad filters stop build.
DEF139686 [TCL Build] coredumpserver compile warnings in DP00458


version 2.7.2

Defect Fixes:
DPDEF139420 Raptor config does not correctly handle mifconv causing resource build errors
DPDEF138679 Raptor does not create a DEFFILE when building for winscw_urel
DPDEF139692 SBSV2: 'virtual memory exhausted' when building multiple variants
DPDEF136321 SBSv2: Zip exports not cleaned
INC139622 OPTION_REPLACE does not work properly in SBSv2

Other Changes:
Added utility.prebuilt FLM.


version 2.7.1

Defect Fixes:
DPDEF138366 [T15379] Raptor raise some warnings when build Coredumpserver
DPDEF139405 SBSV2: Trace compilation fails with large numbers of files.
DPDEF139572 SBSV2: Changes to '--cpu' option syntax breaks existing MMP files.
DPDEF139456 Toolcheck file is not created if EPOCROOT is \
DPDEF133766 Poor SBSv2 reallyclean performance
DPDEF135780 SBSV2: REALLYCLEAN is not cleaning all files


version 2.7.0

New Features:
DS.1744 Recognize LINKEROPTION in MMP file
DS.1744 Compiled objects on local filesystem (SBS_BUILD_DIR)

Partial Deliveries:
DS.1744 CheckSource in Raptor

Defect Fixes:
DPDEF138293 Carbide: Raptor doesn't resolve variant.cfg entries starting with "\" correctly


version 2.6.5

Defect Fixes:
DPDEF138930 Raptor needs to change to match new trace compiler interface


version 2.6.4

Defect Fixes:
DPDEF138527 [TCL Build] Miss tracecompiler.mk and exclude group for Raptor export
DPDEF138484 Raptor uses wrong guard causing trace compiler ignores some projects.
DPDEF138720 BV product folders have missing map files
DPDEF138721 Raptor uses wrong lib when mmp keyword FIRSTLIB presents.
DPDEF138053 SBSv2: tools platform: tools not installed by the time they need to be used.
DPDEF138164 Carbide: Raptor crashes on unrecognised buildinfo.txt content
DPDEF138296 SBSV2 disables all TOOLS2 compiler warnings
DPDEF138329 Raptor generates marker file for trace compiler when it's not done
DPDEF138352 SBSv2: rollout - unsplit EC makefiles not generating correct deps 4 missing .mbg
DPDEF138480 SBSv2: rollout. Created files sometimes have insufficient permissions on Windows
DPDEF137511 SBSv2 doesn't behave correctly with the default paging policy


version 2.6.3

Defect Fixes:
DPDEF133508 Number of errors is counted wrong
DPDEF138098 UID issue in Trace Compiler for Raptor 
DPDEF138296 SBSV2 disables all TOOLS2 compiler warnings


version 2.6.2

Defect Fixes:
DPDEF135330 Raptor Rollout: bangalore messaging winscw udeb test code
DPDEF137726 Missing mscvr_readme.txt from the SBSv2 drop
DPDEF137739 SBSv2: rollout - .cia object files can conflict with .cpp object files 


version 2.6.1

Defect Fixes:
DPDEF137239 raptor does not include the msvcr71 runtime library
DPDEF137489 BV builds try and write generated .s files in the wrong directory


version 2.6.0

New Features:
DS.1542 SBSv2 generates Open System Trace dictionaries
DS.1629 Resource autodependencies


version 2.5.5

Defect Fixes:
DPINC137379 Emulator: Cursor is missing on emulator buttons
DPDEF133640 SBSv2 usrt3_1.lib is missing from epocroot/epoc32/release/armv5/


version 2.5.4

Defect Fixes:
DPDEF136719 Raptor: sbsv2cache.py cache file generation fails with very large log files
DPDEF136715 On Linux the shipped python 2.5.2 is not found
DPDEF132996 SBSv2 doesn't generate AUTO.BAT file
DPDEF136382 SBSv2: explicit dll versioning not supported on arm platforms 	
DPDEF135843 [Raptor Rollout] Raptor does not support OPTION_REPLACE ARMASM/OPTION ARMASM
DPDEF136693 makesis fails when multiple instances are run concurrently with the same target


version 2.5.3

Defect Fixes:
DPDEF136162 Raptor: resource dependencies require metadata workarounds
DPDEF128288 SBSv2 does not fully support build target customization.
DPDEF132880 BV builds cannot find system static libraries
DPDEF133835 SBSv2 cannot build for ARMV6 or ARM9E


version 2.5.2

Defect Fixes:
DPDEF135983 cpp-raptor crashes if source code contains builtin macro __FILE__
DPDEF133808 Raptor does not support OPTION --no_rtti with mixed assembly/C++ projects
DPDEF135577 SBSv2: rollout - TOOLS/TOOLS2 exes sometimes not executable or writable.


version 2.5.1

Defect Fixes:
DPDEF135258 createvmap.py script can hang in BV builds
DPDEF135385 warnings in RunModeDebugger in M04816vFuture with ARMV7


version 2.5.0

New Features:
DS.1568 User defined configuration file location(s)


version 2.4.3

Defect Fixes:
DPDEF134322 SBSV2 uses the wrong library when building STDCPP targets 	
DPDEF132923 SBSv2 freeze don't add Vtable and RTTI information into def file for arm dll
DPDEF133775 SBSv2: ARMFPU is not passed to compiler
DPDEF134023 case inconsistency with libOpenVG.lib

Other Changes:
MINOR_CHANGE updated all copyright notices for SF delivery
MINOR_CHANGE added vtb91sf variant for SF Timebox 9:1 builds
MINOR_CHANGE added vtb92sf variant for SF Timebox 9:2 builds


version 2.4.2

Defect Fixes:
DPDEF133820 Raptor Rollout: EXPORTUNFROZEN processing incorrect in ARMV5 builds
DPDEF132033 Raptor picks up the wrong bld.inf macros when building for RVCT 3.1
DPDEF133772 SBSv2: console log includes some winscw warnings that should be suppressed


version 2.4.1

Defect Fixes:
DPDEF133639 Raptor Rollout:TEF test server doesn't start under SBSv2 - OK with abld
DEF133255 [System Build]: Error in compiling NaviEngine Unistore on ARMV7 M04816 vFuture
DPDEF127973 Freeze fails with SBSv2 under some environments


version 2.4.0

New Features:
DS.1475 Pluggable Log Summariser
DS.1476 Use FLMs from the source tree  

Defect Fixes:
DPDEF133417 SBSv2: tmp mounting errors on startup


version 2.3.3

Defect Fixes:
DPDEF130261 sbs does not support explicit option to version keyword
DPDEF130598 sbs does not provide debug and nodebug variants
DPDEF131630 Raptor smoke tests break when EPOCROOT=\ on Windows
DPDEF132898 no TEM nbl2.lib dependencies for armv7
DPDEF133035 SBSv2 - Tools2 build does not include -m32 option.  Stlport flm also doesn't.
DPDEF133176 SBSv2 ignores compillation error for "unidentified identifier" for winscw build


version 2.3.2

Other Changes:
MINOR_CHANGE added vtb92 variant for Timebox 9:2 builds


version 2.3.1

Defect Fixes:
DPDEF132374 SBSv2: Directory creation can fail leading to build errors
DPDEF132070 SBSv2: stlport 5.2 build fails - library generated to wrong directory
DPDEF128378 SBSv2 help for global targets only shown when a target is given
DPDEF129634 ALWAYS_BUILD_AS_ARM does not suppress __MARM_THUMB__ with SBSv2


version 2.3.0

New Features:
DS.1424 Support for ARMV5SMP platform  

Defect Fixes:
DPDEF129804 SBSv2 crashes when there are double \\ in prj_mmpfiles in bld.inf
DPDEF130892 SBSv2: Reallyclean fails on TEM files
DPDEF131619 SBSv2: ABIv1 .lib files aren't generated for -c armv5 -c armv5.smp
DPDEF131637 SBSv2: stlport can fail to build under Cygwin - "/tmp no such directory"
DPDEF131891 [System Build]: Errors in GT stage in Build M04774 vfuture


version 2.2.9

Defect Fixes:
DPDEF129804 SBSv2 crashes when there are double \\ in prj_mmpfiles in bld.inf
DPDEF131637 SBSv2: stlport can fail to build under Cygwin - "/tmp no such directory"
DPDEF130892 SBSv2: Reallyclean fails on TEM files


version 2.2.8

Defect Fixes:
DPDEF130569 .lib files for SSM targets build with different name compared to abld
DPDEF130571 libxml2 component contains GCCXML build errors
DPDEF131312 SBSv2 - DEBUGGABLE_UDEBONLY not supported by SBSv2 (Raptor)


version 2.2.7

Defect Fixes:
DPDEF130533 SBSv2 fails to run when installed from SITK
DPDEF130452 Some rcomp warnings need to be disabled
DPDEF130286 SBSv2: sbs freezes during CLEAN and REALLYCLEAN operations.
DPDEF127973 Freeze fails with SBSv2 under some environments
DPDEF128455 Error during freeze with SBSv2
DPDEF127149 SBSv2 TEM/extension makefile build doesn't support the .savespace variant


version 2.2.6

Defect Fixes:
DPDEF130008 SBSv2 should recognize these new keywords: SMPSAFE, PAGEDCODE, PAGEDDATA, UN...
DPDEF127887 Current directory wrong when executing extension makefiles in SBSv2
DPDEF128915 CCheckEnv ERROR: CBRPatch: Absent file
DPDEF127675 Raptor does not process stringtables correctly when HEADERONLY is on
DPDEF127878 give wrong mmp filename for -p option should cause error in SBSv2

Other Changes:
Uses cygwin instead of msys for improved stability.
Includes python 2.5.2 instead of using py2exe.


version 2.2.5

Defect Fixes:
DEF127329 OMAP H4 Unistore2 Failure in Raptor 9.5 GT build
DPDEF128632 SBSv2 : bld.inf ':zip' exports don't maintain timestamps, with an e32 impact
DPDEF127399 SBSv2 -p <filename>.mmp options also builds .mk files


version 2.2.4

Defect Fixes:
DPDEF129187 SBSv2: ABIv1 .lib files are required (again)


version 2.2.3

Defect Fixes:
DPDEF128916 C Standard Library failed on cia2cpp2o armv5 with 1
DPDEF128503 sbs 2.2.0 produce malformed xml log on Linux with pvmgmake
DPDEF127604 SIS registry panics at startup on emulator if SWI is built with SBS
DPDEF128690 SBSv2 generates error when using emake on REALLYCLEAN target

Other Changes:
MINOR_CHANGE log summariser updated to deal with errors starting "make.exe: ***"


version 2.2.2

Defect Fixes:
DPDEF127497 SBSv2 does not clean when -k or other switch is used with abld wrapper
DPDEF127829 'cannot open Meta file' warning with SBSv2
DPDEF127371 abld -v not working correctly through sbsv2
DPDEF127555 SBSv2 doesn't do "romfile"

Other Changes:
MINOR_CHANGE made the default number of jobs 4


version 2.2.1

Defect Fixes:
DPDEF128498 SBS creates paths with extra slashes which can cause problems

Other Changes:
MINOR_CHANGE Removed temporary ABIv1 .lib generation
MINOR_CHANGE Added monty test data to the test folder


version 2.2.0

New Features:
DS.1347 SBSv2 Compiler Selection  
DS.1348 SBSv2 allow mixed slashes

Defect Fixes:
DPDEF127904	SBSv2 : recent installdefaultcommdb has broken the 9.4 build
DPDEF128022	SBSv2: Unrecognised Keyword ['romtarget  <some_file>.dll'] warnings
DPDEF127815	SBSv2: PAGED and EPOCCALLDLLENTRYPOINTS keywords not supported
DPDEF127890	SBSv2:  TARGETPATH in mmps (also resources, bitmaps) must cope with backslashes
DPDEF128229 SBSv2: some command invocations can fail, but could be "re-tried"


version 2.1.10

Defect Fixes:
DPDEF126662	Intermittent networking_dhcp compilation failure in Raptor build GT phase
DPDEF127799	SBSv2: zip and unzip commands not found in some builds
DPDEF127665	ARMV7 libraries have wrong link order in Raptor


version 2.1.9

Defect Fixes:
DPDEF127498	SBSv2: importlibversioned_abiv1 intermittently fails in ARMV5 builds
DPDEF125483	CDB breaks due to Attribute values not matching expected values
DPDEF126335	Intermittent GT errors due to "make" not being found on the PATH
DPDEF127562	SBSv2 will not unzip the same file into more than one location
DPDEF127626	SBSv2: sed version on windows is out of date


version 2.1.8

Defect Fixes:
DPDEF125478	CDB breaks caused by file path/name mismatch
DPDEF125145	Incorrect file access permissions for sbs v2.0.14 in Linux distribution
DPDEF126126	Intermittent "Segmentation fault" error in Raptor GT phase
DPDEF124836	SBSv2 cannot build just a single .mmp file from a bld.inf file
DPDEF126675	Performance regression in SBSv2 python frontend caused by regex usage,
DPDEF126790	groupin10 is not used in artarget_func
DPDEF125639	TEM variables are reported incorrectly when building TEM for ARMV7
DPDEF124273	abld help is ugly and hard to read
DPDEF126614	"Virtual memory exhausted. Stop" error when building with SBSV2


version 2.1.7

Defect Fixes:
DPDEF124290 SBS -e pvmgmake -j 12 on Linux produces malformed xml log files
DPDEF126241	SBSv2 : SECURE_DATA error when building uiklaf toolkit in TechView
DPDEF126328	Performance regression and related excessive memory usage in daily Raptor builds


version 2.1.6

Defect Fixes:
DPDEF125740	SBSv2: Builds can hang during the GT stage in Windows builds when using "-j x"
DPDEF125145	Incorrect file access permissions for sbs v2.0.14 in Linux distribution


version 2.1.5

Defect Fixes:
DPDEF125812	There is no user created init.xml configuration file


version 2.1.4

Defect Fixes:
DPDEF124680 Raptor builds hang  at "tools2" compilation phase
DPDEF125304 Raptor crashes when running abld


version 2.1.3

Defect Fixes:
DPDEF125394 sbs_2.1.0_(RC1) Building complete OS gives armasm errors on Windows
DPDEF122556 GT0367: CLEANEXPORT target is not cleaning files with a space in them
DPDEF124691 Raptor should ignore the new SMPSAFE keyword
DPDEF125031 SBSv2 Stringtable build fails when EXPORTPATH specified


version 2.1.2

Change Requests:
CR1413 Support for different toolchains to be called by SBSv1 and SBSv2


version 2.1.1	

Defect Fixes:
DEF124748 GCCXML errors in Raptor related to missing arm lib files
DEF124756 Raptor build : Orphan files reported in CBR phase
DEF124758 Raptor build CBR errors due to missing ".a" files
DEF124573 CDB breaks in Raptor build due to missing header,dll and lib files


version 2.1.0

Change Requests:
CR1479 Add Armv7 support into SBSv2

Defect Fixes:
DEF124543 Raptor does not handle the STDCPP keyword correctly
DEF124515 GT0367: 'bldmake plat' should now show ARMV7


version 2.0.14

Defect Fixes:
DEF124705 CBR errors in raptor builds due to missing rpp files
DEF120328 SBS v2.0 configuration files cannot be validated
INC124096 Long list of MMP macros causes crashdump with .s files
DEF124702 GT0367: Semaphores need altering to correct possible hangs (on Linux)


version 2.0.13

Defect Fixes:
DEF123653 SBS -j 16 on Windows produces malformed xml log files


version 2.0.12

Defect Fixes:
DEF123987 Raptor does not build a lot of .lib files for ARMV5
DEF123981 SBSv2 doesn't generate DSO when EXPORTUNFROZEN is specified.


version 2.0.11

Defect Fixes:
DEF123988 SBSv2 does not produce rpp files
DEF123766 SBSv2 log output does not match the specification
DEF122781 GT0367: 'bldmake bldfiles' output not going to stdout
DEF122885 GT0367: Need to stop sbs -abld functioning on Linux
DEF123354 GT0367: Incorrect output if the number of jobs provided is invalid


version 2.0.10

Defect Fixes:
DEF123984 SBSv2 generates more warnings than abld
DEF124139 GT0367: SBS causes a Python Traceback when a system_definition.xml error occurs
DEF123601 SBSv2 : Python traceback error is reported when try to build systemtest code
DEF123916 SBSv2 : "tools" build warns about overrides when "OPTION MSVC /w" in .mmp files


version 2.0.9

Defect Fixes:
PDEF124028 .GXP files not getting created when built for GCCXML target
DEF123653 SBS -j 16 on Windows produces malformed xml log files
DEF123586 dso file is not remade when def file changes
DEF122541 SBSv2 -what should report resource files
DEF123265 Incorrect file access permissions for sbs v2.0.7 in Linux dist
DEF123317 SBSv2 -what got error for whatexports if too much exports
DEF123439 SBSv2 : Exports not performed in total before .mmp processing in sysdef builds
DEF123552 STLport doesn't build with Raptor on Linux
DEF123260 GT0367: Circular references in config files not handled


version 2.0.8

Defect Fixes:
DEF122930 SBSv2:Target type exexp giving errors while building for winscw
DEF123028 Raptor generating double slashes in command files
DEF123048 SBSv2: build with -k (keep-going) stops when export makefile has a failure.
DEF123069 False 'missing mmp file' errors reported by SBSv2
DEF122472 SBSv2 doesn't report content of unpacked zip files
DEF122534 SBSv2 -what should not report .sym files
DEF123181 SBSv2: Failure of one export in python aborts remaining exports for bld.inf
DEF123289 SBSv2 : Netcards doesn't build for "tools" in an SBSv2 build
DEF123418 SBSV2: stlport build can fail with "no rule to make target"
DEF123084 SBSv2: exits with an exception if -c option specifies non-existent configuration
INC122876 Electric Accelerator build fails with Raptor


version 2.0.7

Defect Fixes:
DEF122784 Large MMP files and GNUMAKEFILE causes shell to crash
DEF122760 Problems with bmconv command files preventing bitmap generation?
DEF122803 SBSv2 - Freeze doesnt work properly for OE target types
DEF122833 SBSV2 Performance is poor with -j16 using the GNU Make engine
DEF122535 GT0367: Invalid system_definition.xml causes SBSv2 layering crash
DEF122570 SBSv2 : certain "-m" values cause a crash at makefile generation
DEF122604 Errors in GT only build using sbsv2 on Windows
DEF122796 Wrong default value for PVMGMAKE in make.xml
DEF122783 SBSv2 WINSCW builds can produce incorrectly linked executables under emake
DEF122785 log summariser crashes if errors contain % characters
DEF122870 SBSv2 assembling .s files fails.
DEF120473 Enable Windows and Linux Tools to Cohabit
DEF121826 Pre-include HRH file directory from variant.cfg fails for template extension mak
DEF121907 Raptor crashes when exporting zip file that already exists
DEF122523 SBSv2 Logging output affected by bash version on Linux
DEF122788 SBSv2: We don't ensure correct version of Make for TEMs and for use in FLMs


version 2.0.6

The first release of SBSv2 in the SITK.

